## qflipclock 1.0

=== Makefile ===
#############################################################################
# Makefile for building: qflipclock
# Generated by qmake (2.01a) (Qt 4.7.0) on: Sun Jun 5 08:38:56 2011
# Project:  qflipclock.pro
# Template: subdirs
# Command: /usr/bin/qmake -config standalone -o Makefile qflipclock.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-src

src/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/builder1/maemo-fremantle-armel-extras-devel/work/qflipclock-1.0/src/src.pro -config standalone -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/builder1/maemo-fremantle-armel-extras-devel/work/qflipclock-1.0/src/src.pro -config standalone -o $(MAKEFILE)
sub-src: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: qflipclock.pro  /targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -config standalone -o Makefile qflipclock.pro
/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/common/unix.conf:
/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/common/linux.conf:
/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/qconfig.pri:
/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/release.prf:
/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/qt.prf:
/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/moc.prf:
/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/resources.prf:
/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/uic.prf:
/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/lex.prf:
/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -config standalone -o Makefile qflipclock.pro

qmake_all: sub-src-qmake_all FORCE

make_default: sub-src-make_default FORCE
make_first: sub-src-make_first FORCE
all: sub-src-all FORCE
clean: sub-src-clean FORCE
distclean: sub-src-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-src-install_subtargets FORCE
uninstall_subtargets: sub-src-uninstall_subtargets FORCE

sub-src-check: src/$(MAKEFILE)
	cd src/ && $(MAKE) check
check: sub-src-check

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install_desktop: FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/home/builder1/maemo-fremantle-armel-extras-devel/work/qflipclock-1.0/debian/qflipclock/usr/share/applications/hildon/ || $(MKDIR) $(INSTALL_ROOT)/home/builder1/maemo-fremantle-armel-extras-devel/work/qflipclock-1.0/debian/qflipclock/usr/share/applications/hildon/ 
	-$(INSTALL_FILE) /home/builder1/maemo-fremantle-armel-extras-devel/work/qflipclock-1.0/data/qflipclock.desktop $(INSTALL_ROOT)/home/builder1/maemo-fremantle-armel-extras-devel/work/qflipclock-1.0/debian/qflipclock/usr/share/applications/hildon/


uninstall_desktop:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/home/builder1/maemo-fremantle-armel-extras-devel/work/qflipclock-1.0/debian/qflipclock/usr/share/applications/hildon/qflipclock.desktop
	-$(DEL_DIR) $(INSTALL_ROOT)/home/builder1/maemo-fremantle-armel-extras-devel/work/qflipclock-1.0/debian/qflipclock/usr/share/applications/hildon/ 


install_themes: FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/home/builder1/maemo-fremantle-armel-extras-devel/work/qflipclock-1.0/debian/qflipclock/usr/share/qflipclock/themes/ || $(MKDIR) $(INSTALL_ROOT)/home/builder1/maemo-fremantle-armel-extras-devel/work/qflipclock-1.0/debian/qflipclock/usr/share/qflipclock/themes/ 
	-$(INSTALL_FILE) /home/builder1/maemo-fremantle-armel-extras-devel/work/qflipclock-1.0/data/themes/black_flip.ini $(INSTALL_ROOT)/home/builder1/maemo-fremantle-armel-extras-devel/work/qflipclock-1.0/debian/qflipclock/usr/share/qflipclock/themes/
	-$(INSTALL_FILE) /home/builder1/maemo-fremantle-armel-extras-devel/work/qflipclock-1.0/data/themes/gold_flip.ini $(INSTALL_ROOT)/home/builder1/maemo-fremantle-armel-extras-devel/work/qflipclock-1.0/debian/qflipclock/usr/share/qflipclock/themes/
	-$(INSTALL_FILE) /home/builder1/maemo-fremantle-armel-extras-devel/work/qflipclock-1.0/data/themes/green_slide.ini $(INSTALL_ROOT)/home/builder1/maemo-fremantle-armel-extras-devel/work/qflipclock-1.0/debian/qflipclock/usr/share/qflipclock/themes/
	-$(INSTALL_FILE) /home/builder1/maemo-fremantle-armel-extras-devel/work/qflipclock-1.0/data/themes/transparent.ini $(INSTALL_ROOT)/home/builder1/maemo-fremantle-armel-extras-devel/work/qflipclock-1.0/debian/qflipclock/usr/share/qflipclock/themes/
	-$(INSTALL_FILE) /home/builder1/maemo-fremantle-armel-extras-devel/work/qflipclock-1.0/data/themes/white_flip.ini $(INSTALL_ROOT)/home/builder1/maemo-fremantle-armel-extras-devel/work/qflipclock-1.0/debian/qflipclock/usr/share/qflipclock/themes/


uninstall_themes:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/home/builder1/maemo-fremantle-armel-extras-devel/work/qflipclock-1.0/debian/qflipclock/usr/share/qflipclock/themes/black_flip.ini 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/home/builder1/maemo-fremantle-armel-extras-devel/work/qflipclock-1.0/debian/qflipclock/usr/share/qflipclock/themes/gold_flip.ini 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/home/builder1/maemo-fremantle-armel-extras-devel/work/qflipclock-1.0/debian/qflipclock/usr/share/qflipclock/themes/green_slide.ini 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/home/builder1/maemo-fremantle-armel-extras-devel/work/qflipclock-1.0/debian/qflipclock/usr/share/qflipclock/themes/transparent.ini 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/home/builder1/maemo-fremantle-armel-extras-devel/work/qflipclock-1.0/debian/qflipclock/usr/share/qflipclock/themes/white_flip.ini
	-$(DEL_DIR) $(INSTALL_ROOT)/home/builder1/maemo-fremantle-armel-extras-devel/work/qflipclock-1.0/debian/qflipclock/usr/share/qflipclock/themes/ 


install_icon: FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/home/builder1/maemo-fremantle-armel-extras-devel/work/qflipclock-1.0/debian/qflipclock/usr/share/icons/hicolor/scalable/apps/ || $(MKDIR) $(INSTALL_ROOT)/home/builder1/maemo-fremantle-armel-extras-devel/work/qflipclock-1.0/debian/qflipclock/usr/share/icons/hicolor/scalable/apps/ 
	-$(INSTALL_FILE) /home/builder1/maemo-fremantle-armel-extras-devel/work/qflipclock-1.0/data/qflipclock.png $(INSTALL_ROOT)/home/builder1/maemo-fremantle-armel-extras-devel/work/qflipclock-1.0/debian/qflipclock/usr/share/icons/hicolor/scalable/apps/


uninstall_icon:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/home/builder1/maemo-fremantle-armel-extras-devel/work/qflipclock-1.0/debian/qflipclock/usr/share/icons/hicolor/scalable/apps/qflipclock.png
	-$(DEL_DIR) $(INSTALL_ROOT)/home/builder1/maemo-fremantle-armel-extras-devel/work/qflipclock-1.0/debian/qflipclock/usr/share/icons/hicolor/scalable/apps/ 


install_desktop_widget: FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/home/builder1/maemo-fremantle-armel-extras-devel/work/qflipclock-1.0/debian/qflipclock/usr/share/applications/hildon-home/ || $(MKDIR) $(INSTALL_ROOT)/home/builder1/maemo-fremantle-armel-extras-devel/work/qflipclock-1.0/debian/qflipclock/usr/share/applications/hildon-home/ 
	-$(INSTALL_FILE) /home/builder1/maemo-fremantle-armel-extras-devel/work/qflipclock-1.0/data/qflipclock-widget.desktop $(INSTALL_ROOT)/home/builder1/maemo-fremantle-armel-extras-devel/work/qflipclock-1.0/debian/qflipclock/usr/share/applications/hildon-home/


uninstall_desktop_widget:  FORCE

=== src/Makefile ===
#############################################################################
# Makefile for building: standalone/qflipclock
# Generated by qmake (2.01a) (Qt 4.7.0) on: Sun Jun 5 08:38:56 2011
# Project:  src.pro
# Template: app
# Command: /usr/bin/qmake -config standalone -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQFLIPCLOCK_STANDALONE -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/include/QtCore -I/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/include/QtGui -I/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/include/QtMaemo5 -I/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/include -I/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/include/QtDBus -Istandalone/.moc -Istandalone/.ui
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu
LIBS          = $(SUBLIBS)  -L/usr/lib -L/usr/lib -lQtMaemo5 -L/usr/X11R6/lib -lQtGui -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = standalone/.obj/

####### Files

SOURCES       = qflipclock-standalone.cpp \
		main.cpp \
		qflipclock.cpp \
		sheet.cpp \
		settings.cpp \
		theme.cpp standalone/.moc/moc_qflipclock-standalone.cpp \
		standalone/.moc/moc_qflipclock.cpp \
		standalone/.moc/moc_sheet.cpp \
		standalone/.moc/moc_settings.cpp
OBJECTS       = standalone/.obj/qflipclock-standalone.o \
		standalone/.obj/main.o \
		standalone/.obj/qflipclock.o \
		standalone/.obj/sheet.o \
		standalone/.obj/settings.o \
		standalone/.obj/theme.o \
		standalone/.obj/moc_qflipclock-standalone.o \
		standalone/.obj/moc_qflipclock.o \
		standalone/.obj/moc_sheet.o \
		standalone/.obj/moc_settings.o
DIST          = /targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/qdbus.prf \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/lex.prf \
		src.pro
QMAKE_TARGET  = qflipclock
DESTDIR       = standalone/
TARGET        = standalone/qflipclock

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): standalone/.ui/ui_settings.h $(OBJECTS)  
	@$(CHK_DIR_EXISTS) standalone/ || $(MKDIR) standalone/ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: src.pro  /targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/qdbus.prf \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtGui.prl
	$(QMAKE) -config standalone -o Makefile src.pro
/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/common/unix.conf:
/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/common/linux.conf:
/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/qconfig.pri:
/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/release.prf:
/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/qdbus.prf:
/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/moc.prf:
/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/qt.prf:
/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/resources.prf:
/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/uic.prf:
/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/maemo5-arm-cd58ae4ef6214126233017257143d6f2b10219ef/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -config standalone -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) standalone/.obj/qflipclock1.0.0 || $(MKDIR) standalone/.obj/qflipclock1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) standalone/.obj/qflipclock1.0.0/ && $(COPY_FILE) --parents qflipclock-standalone.h config.h qflipclock.h sheet.h settings.h theme.h standalone/.obj/qflipclock1.0.0/ && $(COPY_FILE) --parents qflipclock-standalone.cpp main.cpp qflipclock.cpp sheet.cpp settings.cpp theme.cpp standalone/.obj/qflipclock1.0.0/ && $(COPY_FILE) --parents ui/settings.ui standalone/.obj/qflipclock1.0.0/ && $(COPY_FILE) --parents translations/qflipclock_ru_RU.ts standalone/.obj/qflipclock1.0.0/ && (cd `dirname standalone/.obj/qflipclock1.0.0` && $(TAR) qflipclock1.0.0.tar qflipclock1.0.0 && $(COMPRESS) qflipclock1.0.0.tar) && $(MOVE) `dirname standalone/.obj/qflipclock1.0.0`/qflipclock1.0.0.tar.gz . && $(DEL_FILE) -r standalone/.obj/qflipclock1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

=== debian/changelog ===
qflipclock (1.0) unstable; urgency=low

  * Added powersaving mechanisms to standalone application.
  * Add dbus launched to widget.
  * Added localization support. 
  * Code cleanup.

 -- Ivan Daniluk <ivan.daniluk@gmail.com>  Sat, 05 Jun 2011 07:45:14 +0300

qflipclock (0.9) unstable; urgency=low

  * Added standalone and widget versions. 

 -- Ivan Daniluk <ivan.daniluk@gmail.com>  Sat, 05 Jun 2011 04:05:44 +0300

qflipclock (0.8) unstable; urgency=low

  * Added themes support.

 -- Ivan Daniluk <ivan.daniluk@gmail.com>  Sat, 04 Jun 2011 20:45:11 +0300

qflipclock (0.7) unstable; urgency=low

  * Added settings dialog.
  * Added transition switching.

 -- Ivan Daniluk <ivan.daniluk@gmail.com>  Sat, 04 Jun 2011 02:11:23 +0300

qflipclock (0.6-1) unstable; urgency=low

  * Initial release

 -- Ivan Daniluk <ivan.daniluk@gmail.com>  Fri, 03 Jun 2011 16:46:50 +0300

=== debian/control ===
Source: qflipclock
Section: user/desktop
Priority: optional
Maintainer: Ivan Daniluk <ivan.daniluk@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libhildon1-dev, libhildondesktop1-dev, mce-dev
Standards-Version: 3.7.3
Homepage: http://wgames.garage.maemo.org

Package: qflipclock
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, qt4-homescreen-loader, mce
Description: Qt-based FlipClock for Maemo
 Qt-based Flip Clock program and homescreen widget for Maemo desktop.
 The clock is skinable and uses Qt-graphics capabilities to draw
 scalable skins.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAAAAAByaaZbAAAACXBIWXMAAABI
 AAAASABGyWs+AAAACXZwQWcAAAAwAAAAMADO7oxXAAAF+UlEQVRIx33PTaid
 VxUG4Hetvfb+/u45594k94Y2Nir+xUFLxKZYO6gOpM2gihUHlXYiDkRwoCN1
 VAfORCiCo3bUgaBI8aeWIgWpoVJFqGipmv7FkJrm5ybn3nO+79v723stJ95Q
 B8k7f3jfl7DVFU/mLOdOl1Uwp5nF0nyVxBVIyb6xPgfObEWGqw6LCkxKGcEa
 1wEkwZLVg/nKO+cWlAYNFQNMJLp2sgjGMGI0SxdpXaXCll01BbFiVnal86Y5
 BnNMXnshIiIAMnqDWSM5wdc6BFeSBdI5TWAENxGBiEhKUSWASuJZgLb7IShI
 I6uyBCO3l+cbuR+CGcwAUVUzAMQxp83LZspUlLus7GnIFFrWqzG0CsBMVf63
 CNSMeeOha5X89Sx8RqMFnPrmsN537+bu2b/8PRgZABNmJjKzXI3dnd9pw96P
 3h5nZWAUIqrfd+KHh9C3OPv8E8amBJKK0hSYbL2z9A9vAvNxclFrCyvxZf+x
 rxpQsPzIhw4/8bdDs3UJ3PPCZyAevba6+wFcwUH2ZrIXv/b5ql5Ns+U88wOP
 bksKMvLm+J/YBtfirbu/sY3D0wGglsadR48Zeg9PYoe+8HH0FMBDWDTjXuku
 nPzm/TGSHYA2lfr0x7AeDq1eLEAsdzxYaUTNkX1xG/ntjz7+xVL5IRyAMnDz
 5TBuNP965Cv3/3yoGQ9t1RqNu9V14f35/d8/7RQs5QBMXC1OAMDTr+Lq82Sk
 x487j8TrcKQZZw//5LTCR/jxAAjcXVV2tv9rp+2L/1YU+9TEwRiL/vXjj3/3
 ODiiSrE7AGHMp8h5enPM3ZBfcqOX+3J2YFB8/4WjNTJV/0xcqYl3IojJL0+u
 CHgNFeDf0AC7Y54L2Ke+iEgu7k8/OCvgaUrjkKUL9db2BkyXqR81rpjA3SL4
 wIaZ9Hsk1WtPvdBiLD54garGyA2Q7ToVrvMu1OC7uEqcLagTpDPfezZsWu3M
 SCrRGKTrMDm3dPBBd9URmh0xLy4PtMWvv/Tk2VqWviNNA0RUC5rGCtnAk0+Y
 uJSgG1RMisi4ej6fuXQop8VG30otuRi7vm4CagACG6sazkFbsSyQQNefWy2P
 7K8P91sFq+iZJoeu8lOsZT0UX6/CdHUz+3XVlT3xafCbJR/L/VH/zJ3VXvv2
 umEzh+GdVy63s0tX1+RzuvyPNXfx/DIlyeSMhnZA2/OXtsXw3MuZhdXZ9ilV
 ib+yJvpN+TQI+N0fGzBuEiWAABaGafFkgCXozUEhAwHOM6lNFUyBnuxWDdME
 gMUMNNVgg+0zbg6AOICBAINoU8igy1sBtn6lpNhwakIbBkO+Zsa3Amsjw2aw
 wjwXFKSl3uI0IyWFYRZMybVAwdQXNTbJKpO6VBU3OSMqSqQF2ZVXPSQfH6tq
 xAlol8+NRYhBTByYhMl5yjcazLuXkbPcO8fKj58EJzvjKlOGUZ7KGDWn9H8L
 k76ikiGfGTv+7DEg+JccFzCKNxUKjsnye0A15mtvICM9cmLaehBIOH+uqGOB
 1qOFGCZXBYciN04LrZ75drtu7/nZ7z/xAQwOv9kd5o4YpQzJ1nvDEJVBNxp6
 aa4/+ya3tNz6XA1U4eJvEzstLLn420588NiHt10q75lEg5QLP32XUOLGHGbj
 L1/lLg0Q1rBz8q7LcJfiUqF0QDbPbQU8dfwxOWTLxaUdeuHpd7e73WmD03x3
 PLm4fcsdvtKNuMyxpRgk2nq2mhc8+fUlqMXOuV98653b3KoNa6E8pz+42TCa
 W/5458rR1Z8zj6VqEpHZeL4/fc+pI+O5My9TcQR2Qji8mDTfvqwpJRiFiWBG
 hFLYYyqQmV/3ENLiyEK86NoFM4HXaWRfDKNjMudK79kyVYGoXxdhhcDBaNp3
 ZWekDRrFJOVOJm7iCAdzziEXszyfovMswcAwl1esZhyHNWugKcfok0qFUbtU
 uPKkeDd2c4mrVclqALP4iebXQgOO4iJayl44AZknJ2JGlel6sroeTE15ys7t
 7s8uNs3F2Z6ve9dcY9ZkFcXZlMxyBmtBFWzwRpZtHP8Lwe5xOrBT8zUAAAAl
 dEVYdGRhdGU6Y3JlYXRlADIwMTEtMDYtMDVUMDQ6MTY6MzMrMDM6MDArL5qL
 AAAAJXRFWHRkYXRlOm1vZGlmeQAyMDExLTA2LTA1VDA0OjE2OjI2KzAzOjAw
 xOANDgAAABF0RVh0anBlZzpjb2xvcnNwYWNlADIsdVWfAAAAIHRFWHRqcGVn
 OnNhbXBsaW5nLWZhY3RvcgAyeDIsMXgxLDF4MUn6prQAAAAASUVORK5CYII=

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	qmake -config standalone -recursive && $(MAKE)
	qmake -config widget -recursive && $(MAKE)

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	$(MAKE)

	touch $@

clean: 
	dh_testdir
	dh_testroot

	# Add here commands to clean up after the build process.
	qmake -config widget -recursive && $(MAKE) clean
	qmake -config standalone -recursive && $(MAKE) clean
	
	rm -f build-stamp configure-stamp

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/qflipclock
	qmake && $(MAKE) DESTDIR="$(CURDIR)"/debian/qflipclock install
	qmake -config widget -recursive && $(MAKE) DESTDIR="$(CURDIR)"/debian/qflipclock install
	qmake -config standalone -recursive && $(MAKE) DESTDIR="$(CURDIR)"/debian/qflipclock install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs 
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## qflipclock 1.1.0

=== debian/changelog ===
qflipclock (1.1.0) unstable; urgency=low

  * Added new themes.
  * Added 12h/24m mode support (according to Maemo5 settings).
  * Added 'Prepend Zero Sign' option.
  * Added text effects.
  * Added semicolon sign support.
  * Resize policy changed - now user changes width, and height is calculated automatically.
  * Widget settings dialog uses Maemo5-specific widgets.
  * Onclick action doesn't trigger on slide action anymore.
  * Fixed wrong resize behavior.
  * Fixed translations scope.

 -- Ivan Daniluk <ivan.daniluk@gmail.com>  Sat, 25 Jun 2011 19:47:12 +0300

qflipclock (1.0.0) unstable; urgency=low

  * Added powersaving mechanisms to standalone application.
  * Add dbus launched to widget.
  * Added localization support.
  * Code cleanup.

 -- Ivan Daniluk <ivan.daniluk@gmail.com>  Sat, 05 Jun 2011 07:45:14 +0300

qflipclock (0.9.0) unstable; urgency=low

  * Added standalone and widget versions.

 -- Ivan Daniluk <ivan.daniluk@gmail.com>  Sat, 05 Jun 2011 04:05:44 +0300

qflipclock (0.8.0) unstable; urgency=low

  * Added themes support.

 -- Ivan Daniluk <ivan.daniluk@gmail.com>  Sat, 04 Jun 2011 20:45:11 +0300

qflipclock (0.7.0) unstable; urgency=low

  * Added settings dialog.
  * Added transition switching.

 -- Ivan Daniluk <ivan.daniluk@gmail.com>  Sat, 04 Jun 2011 02:11:23 +0300

qflipclock (0.6.0) unstable; urgency=low

  * Initial release

 -- Ivan Daniluk <ivan.daniluk@gmail.com>  Fri, 03 Jun 2011 16:46:50 +0300

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: user/desktop
 Priority: optional
 Maintainer: Ivan Daniluk <ivan.daniluk@gmail.com>
-Build-Depends: debhelper (>= 5), libqt4-dev, libhildon1-dev, libhildondesktop1-dev, mce-dev
+Build-Depends: debhelper (>= 5), libqt4-dev, libhildon1-dev, libhildondesktop1-dev, mce-dev, libgq-gconf-dev
 Standards-Version: 3.7.3
-Homepage: http://wgames.garage.maemo.org
+Homepage: http://qflipclock.garage.maemo.org
 
 Package: qflipclock
 Architecture: armel
-Depends: ${shlibs:Depends}, ${misc:Depends}, qt4-homescreen-loader, mce
+Depends: ${shlibs:Depends}, ${misc:Depends}, qt4-homescreen-loader, mce, libgq-gconf0
 Description: Qt-based FlipClock for Maemo
  Qt-based Flip Clock program and homescreen widget for Maemo desktop.
  The clock is skinable and uses Qt-graphics capabilities to draw
@@ -54,3 +54,4 @@
  AAAAJXRFWHRkYXRlOm1vZGlmeQAyMDExLTA2LTA1VDA0OjE2OjI2KzAzOjAw
  xOANDgAAABF0RVh0anBlZzpjb2xvcnNwYWNlADIsdVWfAAAAIHRFWHRqcGVn
  OnNhbXBsaW5nLWZhY3RvcgAyeDIsMXgxLDF4MUn6prQAAAAASUVORK5CYII=
+XB-Maemo-Display-Name: QFlipClock

=== debian/rules ===
--- 
+++ 
@@ -16,9 +16,7 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	# Add here commands to configure the package.
-	qmake -config standalone -recursive && $(MAKE)
-	qmake -config widget -recursive && $(MAKE)
+	qmake PREFIX=/usr
 
 	touch configure-stamp
 
@@ -28,19 +26,19 @@
 build-stamp: configure-stamp  
 	dh_testdir
 
-	$(MAKE)
+	# Add here commands to compile the package.
+	# $(MAKE) # Uncomment this line for use without Qt Creator
+	#docbook-to-man debian/qflipclock.sgml > qflipclock.1
 
 	touch $@
 
 clean: 
 	dh_testdir
 	dh_testroot
+	rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
-	qmake -config widget -recursive && $(MAKE) clean
-	qmake -config standalone -recursive && $(MAKE) clean
-	
-	rm -f build-stamp configure-stamp
+	# $(MAKE) clean
 
 	dh_clean 
 
@@ -50,10 +48,8 @@
 	dh_clean -k 
 	dh_installdirs
 
-	# Add here commands to install the package into debian/qflipclock
-	qmake && $(MAKE) DESTDIR="$(CURDIR)"/debian/qflipclock install
-	qmake -config widget -recursive && $(MAKE) DESTDIR="$(CURDIR)"/debian/qflipclock install
-	qmake -config standalone -recursive && $(MAKE) DESTDIR="$(CURDIR)"/debian/qflipclock install
+	# Add here commands to install the package into debian/qflipclock.
+	$(MAKE) INSTALL_ROOT="$(CURDIR)"/debian/qflipclock install
 
 
 # Build architecture-independent files here.
